#include <iostream>

#include <QApplication>
#include <QWidget>
#include <QFrame>
#include <QListWidget>
#include <QHBoxLayout>
#include <QFile>

#include "player.h"

//using namespace std;


int main(int argc, char* argv[]) {
    QApplication app(argc, argv);

    QWidget window;
    window.resize(150,576);

    Player player;

    QListWidget liste(new QListWidget);
    for(int x=1;x<=player.get_Sender();x++){
        liste.addItem(player.get_Name(x));
    }

    QObject::connect(&liste, SIGNAL(itemDoubleClicked(QListWidgetItem*)), &app, SLOT(quit()));
    QHBoxLayout layout(&window);
    layout.addWidget(&liste);
    window.show();


    int x = player.get_Sender();
    QString name = player.get_Name(1);
    QString url = player.get_URL(1);
    std::cout << x << std::endl << name.toStdString() << " " << url.toStdString() << std::endl;

    //player->play();

    return app.exec();
}
